//======================================================================
// leningrad_b1.shader
// Last edit: 15/01/06
//======================================================================

textures/sptbrg/mur_briques_bump1
{
   qer_editorimage textures/sptbrg/briques_rouges.jpg

   // PHONG
   q3map_nonplanar
   q3map_shadeangle 179
   // PHONG END
   q3map_normalimage textures/sptbrg/briques_bump.jpg
   {
      map $lightmap
      rgbGen identity
   }
   {
      map textures/sptbrg/briques_rouges.jpg
      blendFunc GL_DST_COLOR GL_ZERO
      rgbgen identity
   }
}
textures/sptbrg/mur_pierre_bump1
{
   qer_editorimage textures/sptbrg/pierres3.jpg

   // PHONG
   q3map_nonplanar
   q3map_shadeangle 179
   // PHONG END
   q3map_normalimage textures/sptbrg/pierres3_bump.jpg
   {
      map $lightmap
      rgbGen identity
   }
   {
      map textures/sptbrg/pierres3.jpg
      blendFunc GL_DST_COLOR GL_ZERO
      rgbgen identity
   }
}


//////////////////////

textures/skies/sptbrg_sky
{
	qer_editorimage textures/skies_sd/nero_bluelight.tga
	q3map_globaltexture
	q3map_lightimage textures/skies_sd/nero_bluelight.tga
	q3map_lightsubdivide 768
//    q3map_sun red green blue intensity degrees elevation
	q3map_sun 0.75 0.70 0.6 40 75 55
	q3map_surfacelight 25
	skyparms - 200 -
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	{
		map textures/skies_sd/battery_clouds.tga
		tcMod scroll -0.01 -0.025
		tcMod scale 3 3
	}
}

textures/sptbrg/fog
{
	qer_editorimage textures/sfx/fog_grey1.tga
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	
	fogparms ( 0.60 0.60 0.60 ) 2500
}


textures/sptbrg/toile
{
	qer_editorimage textures/egypt_props_sd/siwa_canvas1.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMap textures/egypt_props_sd/siwa_canvas1.tga
}

textures/sptbrg/affiche1	//Inspir du shader des affiches de St Nazaire (Ifurita)
{
        qer_editorimage textures/sptbrg/wanted.jpg
   polygonOffset
   entityMergable
   {
      map textures/sptbrg/wanted.jpg
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen vertex
      alphaGen vertex
   }
}


//////////////////////////
// TERRAIN - 
//////////////////////////
textures/sptbrg/ter_mossmud		// see http://www.planetquake.com/simland/
{
        qer_editorimage textures/terrain_example/ter_mossmud.tga
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeangle 175
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/terrain_example/ter_moss1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/terrain_example/ter_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/sptbrg/grass
{
        qer_editorimage textures/desert_sd/grass_desert_flat.tga
	surfaceparm landmine
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}
// ======================================================================
// alpha fade shaders
// (c) 2004 randy reddig
// http://www.shaderlab.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================
//
// These shaders are not fixed to this directory location, they can
// be moved around. They exist here for convenience only.
//
textures/common/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/common/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/common/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/common/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/common/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/common/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

